Skip to content

Create a new payment

Request

Security
InfiniHmac
Headers
Datestring

GMT server time (e.g. Tue, 21 Jan 2025 12:00:00 GMT). Required for every request.

Authorizationstring

HMAC-SHA256 Signature header. See the Authentication guide.

Digeststring

SHA-256 digest of the request body (when a body is present).

Bodyapplication/jsonrequired
order_idstring, (string)required

Order ID

payment_methodinteger, (int)

Payment method

Default:1
Example:1
chainstring, (string)required

Chain

Example:"ETHEREUM"
token_idstring, (string)required

Token identifier

Example:"USDT"
force_createboolean

Always create a new payment instead of reusing an existing reusable payment

Default:false
Example:false
curl -i -X POST \
  -u '<username>:<password>' \
  https://developer.infini.money/_mock/apis/acquiring/payment \
  -H 'Authorization: string' \
  -H 'Content-Type: application/json' \
  -H 'Date: string' \
  -H 'Digest: string' \
  -d '{
    "order_id": "string",
    "payment_method": 1,
    "chain": "ETHEREUM",
    "token_id": "USDT",
    "force_create": false
  }'

Responses

Bodyapplication/json
payment_idstring, (string)

Payment ID

amountstring, (string)

USD-denominated amount the payer still owes (== due_amount)

due_amount_fiatstring, (string)

Payment snapshot amount in order currency (immutable once payment is created)

amount_confirmedstring, (string)

USD-denominated amount already confirmed

amount_confirmingstring, (string)

USD-denominated amount currently confirming

addressstring, (string)

Payment address

expires_atinteger, (int64)

Expires time (Unix timestamp)

quoted_token_amountstring, (string)

Amount shown to payer, in pay_currency units

quoted_token_currencystring, (string)

Currency of quoted_token_amount (matches pay_currency)

quoted_token_price_usdcstring, (string)

USDC-per-token snapshot at create time; 0 for stablecoins

Response
{ "payment_id": "string", "amount": "string", "due_amount_fiat": "string", "amount_confirmed": "string", "amount_confirming": "string", "address": "string", "expires_at": 0, "quoted_token_amount": "string", "quoted_token_currency": "string", "quoted_token_price_usdc": "string" }